Skip to content

PUT /integrations/{id}​

PUT
/integrations/{id}

Update a resource

Authorizations​

BearerAuth
Type
HTTP (Bearer)

Parameters​

Path Parameters

id*

Unique identifier

Required

Request Body​

application/json
JSON
{
  
"name": "string",
  
"enabled": true,
  
"isDefault": true,
  
"maxPerSecond": 0,
  
"maxPerDay": 0,
  
"config": {
  
  
"kind": "string",
  
  
"host": "string",
  
  
"port": 0,
  
  
"username": "string",
  
  
"password": "string",
  
  
"from": "string",
  
  
"fromName": "string"
  
}
}

Responses​

The request has succeeded.

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"channel": "string",
  
"provider": "string",
  
"enabled": true,
  
"isDefault": true,
  
"maxPerSecond": 0,
  
"maxPerDay": 0,
  
"sendLimit": {
  
  
"perSecond": {
  
  
  
"limit": 0,
  
  
  
"source": "string"
  
  
},
  
  
"perDay": {
  
  
  
"limit": 0,
  
  
  
"source": "string"
  
  
},
  
  
"sentLast24h": 0,
  
  
"warnings": [
  
  
  
"string"
  
  
]
  
},
  
"config": {
  
  
"kind": "string",
  
  
"host": "string",
  
  
"port": 0,
  
  
"username": "string",
  
  
"from": "string",
  
  
"fromName": "string"
  
},
  
"createdAt": "string",
  
"updatedAt": "string"
}

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI